﻿namespace TestProject1;

public record TableIndex(string TableName, string IndexName, bool IsUnique, string ColumnName, TableIndex.TableIndexType IndexType)
{
    public enum TableIndexType
    {
        BTree,
        Hash,
        Primary
    }

    public void Deconstruct(out string tableName, out string indexName)
    {
        tableName = TableName;
        indexName = IndexName;
    }

    public void Deconstruct(out string tableName, out string indexName, out string columnName)
    {
        tableName = TableName;
        indexName = IndexName;
        columnName = ColumnName;
    }
}